package bloat

import (
	"bytes"
	"io"

	"filippo.io/age"
)

func (b *Bloat[T]) Decrypt(src []byte) ([]byte, error) {
	input := bytes.NewReader(src)
	out, err := age.Decrypt(input, &b.encDec)
	if err != nil {
		return nil, err
	}
	res, err := io.ReadAll(out)
	return res, err
}
